# Created by pyp2rpm-1.0.0
%define pypi_name py

Name:           python-py
Version:        1.4.31
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python 2 Library with cross-python path, ini-parsing, io, code, log facilities

License:        MIT
URL:            http://pylib.org/
Source0:        http://pypi.python.org/packages/source/p/py/py-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(setuptools)

%description
The py lib is a Python development support library featuring the
following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%package -n python3-py
Summary:        Python 3 library with cross-python path, ini-parsing, io, code, log facilities
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-py
The py lib is a Python development support library featuring the
following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%package doc
Summary:        Documentation for py
Group:          Development/Python
BuildArch:      noarch

%description doc
This package contains documentation for py,
Python library with cross-python path, ini-parsing, io, code, log facilities.

%prep
%setup -q -n py-%{version} 
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# remove shebangs and fix permissions
find -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;

cp -a . %{py3dir}

%build
%py2_build
# generate html docs 
make -C doc html PYTHONPATH=$(pwd)

pushd %{py3dir} 
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

# remove hidden file
rm -rf doc/_build/html/.buildinfo


%files
%doc README.txt LICENSE
%{python2_sitelib}/*

%files -n python3-py
%doc README.txt LICENSE
%{python3_sitelib}/*

%files doc
%doc doc/_build/html README.txt LICENSE



%changelog
* Wed Dec 02 2015 philippem <philippem> 1.4.31-1.mga6
+ Revision: 907632
- update to 1.4.31

* Wed Oct 07 2015 daviddavid <daviddavid> 1.4.30-2.mga6
+ Revision: 886853
- rebuild for python 3.5
- use new python macros

* Fri Aug 28 2015 philippem <philippem> 1.4.30-1.mga6
+ Revision: 870420
- update to 1.4.30

* Wed Oct 15 2014 umeabot <umeabot> 1.4.24-4.mga5
+ Revision: 739469
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.24-3.mga5
+ Revision: 729337
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.24-2.mga5
+ Revision: 688229
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 philippem <philippem> 1.4.24-1.mga5
+ Revision: 674396
- update to 1.4.24

* Mon Aug 11 2014 philippem <philippem> 1.4.23-1.mga5
+ Revision: 661685
- update to 1.4.23

* Sun Jun 01 2014 pterjan <pterjan> 1.4.20-3.mga5
+ Revision: 630380
- Soften python3 dependency
- Rebuild for new Python

* Tue Mar 11 2014 philippem <philippem> 1.4.20-1.mga5
+ Revision: 602535
- Update to 1.4.20

* Tue Oct 22 2013 umeabot <umeabot> 1.4.17-3.mga4
+ Revision: 543960
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.17-2.mga4
+ Revision: 499133
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 1.4.17-1.mga4
+ Revision: 492639
- Update to 1.4.17

* Fri Oct 04 2013 philippem <philippem> 1.4.16-1.mga4
+ Revision: 491496
- Update to 1.4.16

* Mon Jul 08 2013 philippem <philippem> 1.4.15-1.mga4
+ Revision: 451410
- Update to 1.4.15

* Sat Jun 08 2013 fwang <fwang> 1.4.14-1.mga4
+ Revision: 440576
- new version 1.4.14

* Sun Jan 13 2013 umeabot <umeabot> 1.4.12-2.mga3
+ Revision: 379289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 philippem <philippem> 1.4.12-1.mga3
+ Revision: 334960
- add Python 3 version

  + joequant <joequant>
    - imported package python-py

